> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 마스터 비밀번호 업데이트

> Rename a master password under the path account.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ko.json PATCH /v1/public/accounts/{account_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/credentials/{credential_id}:
    patch:
      tags:
        - public-accounts
        - public-credentials
      summary: 마스터 비밀번호 업데이트
      description: Rename a master password under the path account.
      operationId: >-
        update_public_credential_v1_public_accounts__account_id__credentials__credential_id__patch
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: credential_id
          required: true
          schema:
            format: uuid
            title: Credential Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CredentialUpdateRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CredentialDTO'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - PublicBearerAuth: []
components:
  schemas:
    CredentialUpdateRequest:
      description: 마스터 비밀번호 이름 변경 요청입니다.
      properties:
        name:
          description: 마스터 비밀번호 표시 이름
          maxLength: 100
          minLength: 1
          title: 이름
          type: string
      required:
        - name
      title: CredentialUpdateRequest
      type: object
    CredentialDTO:
      properties:
        created_at:
          description: 마스터 비밀번호 생성 타임스탬프
          title: 생성일
          type: string
        id:
          description: 마스터 비밀번호 UUID
          format: uuid
          title: ID
          type: string
        name:
          description: 마스터 비밀번호 표시 이름
          title: 이름
          type: string
        scope_id:
          description: 마스터 비밀번호 범위의 리소스 UUID
          format: uuid
          title: 범위 Id
          type: string
        scope_type:
          description: 마스터 비밀번호가 적용되는 리소스 범위 유형
          enum:
            - account
            - workspace
            - domain
          title: 범위 유형
          type: string
        updated_at:
          description: 마스터 비밀번호 마지막 업데이트 타임스탬프
          title: 업데이트일
          type: string
      required:
        - id
        - name
        - scope_type
        - scope_id
        - created_at
        - updated_at
      title: CredentialDTO
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 세부 정보
          type: array
      title: HTTP검증 오류
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 위치
          type: array
        msg:
          title: 메시지
          type: string
        type:
          title: 오류 유형
          type: string
      required:
        - loc
        - msg
        - type
      title: 검증 오류
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````